<?php



require_once "../config/koneksi.php";

// Jika tombol login ditekan, maka akan mengirimkan variabel yang berisi username dan password.


    $username = $_POST['user1'];
    $userpass = $_POST['pass1']; // password yang di inputkan oleh user lewat form login.

    // Query ke database.
    $sql = "SELECT user1, password1, halaman FROM admin WHERE user1 = '$username'";
    $result=mysqli_query($koneksi, $sql);
    

    list($username, $password, $nama) = mysqli_fetch_array($result);

     if (mysqli_num_rows($result) > 0) {

        
        if (password_verify($userpass, $password)) {

            // Buat session baru.
            session_start();
            $_SESSION['user1'] = $username;
         
            // Jika login berhasil, user akan diarahkan ke halaman admin.
            header("location:../halaman/admin/00admin");
            die();
        } else {
            header("location: login.php");
        }

   
} else
        {
         header("location: login.php");   
        }
?>